import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.geom.Line2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Point2D;

import javax.swing.JComponent;
import javax.swing.JFrame;

public class LineDistanceViewer
{
   public static void main(String[] args)
   {
      // Initialize Frame
      JFrame window = new JFrame();

      // Start Frame
      window.setSize(500, 300);
      window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      // Draw Component
      window.add(new LineDistanceComponent());

      window.setVisible(true);
   }
}

class LineDistanceComponent extends JComponent
{
   public void paint(Graphics g)
   {
      Graphics2D g2 = (Graphics2D) g;

      Point2D ptA = new Point(100, 100);
      Point2D ptB = new Point(200, 200);
      Point2D ptC = new Point(100, 200);
      Point2D ptD = new Point(150, 150);
      Point2D ptE = new Point(250, 50);

      // draw line and three points
      g2.setColor(Color.BLACK);
      Line2D.Double line = new Line2D.Double(ptA.getX(), ptA.getY(),
            ptB.getX(), ptB.getY());
      g2.draw(line);
      Ellipse2D.Double dotC = new Ellipse2D.Double(ptC.getX(), ptC.getY(), 5, 5);
      g2.fill(dotC);
      Ellipse2D.Double dotD = new Ellipse2D.Double(ptD.getX(), ptD.getY(), 5, 5);
      g2.fill(dotD);
      Ellipse2D.Double dotE = new Ellipse2D.Double(ptE.getX(), ptE.getY(), 5, 5);
      g2.fill(dotE);

      // Calculate distances
      double distC = Line2D.ptSegDist(ptA.getX(), ptA.getY(), ptB.getX(),
            ptB.getY(), ptC.getX(), ptC.getY());
      double distD = Line2D.ptSegDist(ptA.getX(), ptA.getY(), ptB.getX(),
            ptB.getY(), ptD.getX(), ptD.getY());
      double distE = Line2D.ptSegDist(ptA.getX(), ptA.getY(), ptB.getX(),
            ptB.getY(), ptE.getX(), ptE.getY());

      // draw distance text labels
      g.drawString("Distance: " + distC, (int) ptC.getX(), (int) ptC.getY());
      g.drawString("Distance: " + distD, (int) ptD.getX(), (int) ptD.getY());
      g.drawString("Distance: " + distE, (int) ptE.getX(), (int) ptE.getY());
   }
}