import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.geom.Ellipse2D;

import javax.swing.JComponent;
import javax.swing.JFrame;

public class TrafficLightViewer
{
   public static void main(String[] args)
   {
      // Initialize Frame
      JFrame window = new JFrame();

      // Start Frame
      window.setSize(400, 300);
      window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      // Draw Component
      window.add(new TrafficLightComponent());

      window.setVisible(true);
   }
}

class TrafficLightComponent extends JComponent
{
   public void paint(Graphics g)
   {
      Graphics2D g2 = (Graphics2D) g;

      // draw traffic light outline
      g2.setColor(Color.BLACK);
      Rectangle lightBox = new Rectangle(10, 10, 50, 120);
      g2.draw(lightBox);

      // draw colored lights
      g2.setColor(Color.RED);
      Ellipse2D.Double redLight = new Ellipse2D.Double(20, 15, 30, 30);
      g2.fill(redLight);
      g2.setColor(Color.YELLOW);
      Ellipse2D.Double yellowLight = new Ellipse2D.Double(20, 55, 30, 30);
      g2.fill(yellowLight);
      g2.setColor(Color.GREEN);
      Ellipse2D.Double greenLight = new Ellipse2D.Double(20, 95, 30, 30);
      g2.fill(greenLight);

   }
}
